%global xset 1.2.4

Summary:    X display settings utility
Name:       xset
Version:    1.2.4
Release:    1%{?dist}
License:    MIT
URL:        http://www.x.org

Source0:   https://www.x.org/pub/individual/app/xset-%{version}.tar.bz2

BuildRequires:  gcc
BuildRequires:  xorg-x11-util-macros
BuildRequires:  pkgconfig(xmuu)
%if 0
BuildRequires:  pkgconfig(xbitmaps)
BuildRequires:  pkgconfig(xcursor)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xi)
BuildRequires:  pkgconfig(xinerama)
BuildRequires:  pkgconfig(xmu)
BuildRequires:  pkgconfig(xpm)
BuildRequires:  pkgconfig(xrandr)
BuildRequires:  pkgconfig(xrender)
BuildRequires:  pkgconfig(xt)
BuildRequires:  pkgconfig(xtrans)
BuildRequires:  pkgconfig(xxf86vm)
BuildRequires:  libtool
BuildRequires:  meson
%endif

%description
xset allows you to configure various X11 server settings such as the font
path and keyboard repeat rate.

%prep
%autosetup

%build
%configure

%install
%make_install

%files
%doc
%{_bindir}/xset
%{_mandir}/man1/xset.1*

%changelog
* Thu Aug 27 2020 Adam Jackson <ajax@redhat.com> - 1.2.4-1
- Initial split packaging


